Categories:
  - Internet
  - Security
License: BSD-2-Clause
AuthorName: Open Observatory of Network Interference
AuthorEmail: contact@openobservatory.org
AuthorWebSite: https://ooni.io/
WebSite: https://ooni.torproject.org/
SourceCode: https://github.com/ooni/probe-android
IssueTracker: https://github.com/ooni/probe-android/issues
Translation: https://www.transifex.com/otf/ooniprobe/
Changelog: https://github.com/ooni/probe-android/releases

AutoName: OONI Probe
Description: |-
    Are websites and social media apps blocked? Is your network unusually slow?
    Run OONI Probe to find out!

    With this app, you will examine the blocking of websites and instant
    messaging apps, measure your network’s speed and performance, and check
    whether systems that could be responsible for censorship and surveillance
    are in your network.

    OONI Probe is developed by the Open Observatory of Network Interference
    (OONI), a free software project (under The Tor Project) that aims to uncover
    internet censorship around the world.

    Since 2012, OONI’s global community has collected millions of network
    measurements from more than 200 countries, shedding light on multiple cases
    of network interference.

    '''Collect evidence of internet censorship'''
    You can check whether and how websites and instant messaging apps are
    blocked. The network measurement data you will collect may serve as evidence
    of internet censorship.

    '''Detect systems responsible for censorship and surveillance'''
    OONI Probe tests are also designed to uncover the presence of systems
    (middleboxes) that could be responsible for censorship and surveillance.

    '''Measure the speed and performance of your network'''
    You can measure the speed and performance of your network by running OONI’s
    implementation of the Network Diagnostic Test (NDT). You can also measure
    video streaming performance with the Dynamic Adaptive Streaming over HTTP
    (DASH) test.

    '''Open data'''
    OONI publishes network measurement data because open data allows third
    parties to verify OONI findings, conduct independent studies, and answer
    other research questions. Openly publishing OONI data also helps increase
    transparency of internet censorship around the world. You can explore and
    download OONI data here: https://ooni.io/data/

    '''Free software'''
    All OONI Probe tests (including our NDT and DASH implementations), are based
    on free and open source software. You can find OONI software projects
    [https://github.com/ooni on Github]. Curious to learn how OONI Probe tests
    work? Learn more [https://ooni.io/nettest here].

    To receive updates from the OONI-verse,
    [https://twitter.com/OpenObservatory follow us on Twitter]

    Disclaimer: Running OONI Probe might be against the terms of service of your ISP
    or legally questionable in your country. By running OONI Probe, you will connect
    to web services which might be banned. The OONI project will publish data
    submitted by probes, possibly including your IP address or other identifying
    information. In addition, your use of OONI Probe will be clear to anyone who has
    access to your computer, and to anyone who can monitor your Internet connection
    (such as your employer, ISP or government). Learn more about potential risks
    [https://ooni.torproject.org/about/risks here]

RepoType: git
Repo: https://github.com/ooni/probe-android

Builds:
  - versionName: 1.1.3
    versionCode: 5
    commit: v1.1.3-fdroid-1
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.4-dev
    versionCode: 6
    disable: pre-release
    commit: v1.1.4-dev-fdroid
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.5-fdroid
    versionCode: 11
    commit: v1.1.5-fdroid
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-alpha7/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 1.1.5-fdroid.1
    versionCode: 12
    commit: v1.1.5-fdroid.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.3-fdroid.1
    versionCode: 17
    commit: v1.2.3-fdroid.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.1-fdroid.1
    versionCode: 24
    commit: v1.3.1-fdroid.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.0
    versionCode: 41
    commit: v2.0.0+41
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.0.1
    versionCode: 42
    commit: v2.0.1
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.0.2
    versionCode: 43
    commit: v2.0.2
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.0.3
    versionCode: 44
    commit: v2.0.3
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.1.0
    versionCode: 49
    commit: v2.1.0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.2.0
    versionCode: 54
    commit: v2.2.0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.3.0
    versionCode: 57
    commit: v2.3.0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.3.1
    versionCode: 58
    commit: v2.3.1
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.3.2
    versionCode: 59
    commit: v2.3.2
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.4.0
    versionCode: 60
    disable: unknown maven
    commit: v2.4.0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle

  - versionName: 2.5.1
    versionCode: 62
    commit: v2.5.1
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' build.gradle
    ndk: r21d

  - versionName: 2.5.2
    versionCode: 63
    commit: v2.5.2
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' build.gradle
    ndk: r21d

  - versionName: 2.6.0
    versionCode: 64
    commit: v2.6.0
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' build.gradle ../build.gradle
      - sed -i -e 's/21.0.6113669/21.3.6528147/' build.gradle
    ndk: r21d

  - versionName: 2.7.0
    versionCode: 65
    commit: v2.7.0
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
    ndk: r21d

  - versionName: 2.7.1
    versionCode: 66
    commit: v2.7.1
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
    ndk: r21d

  - versionName: 2.8.0-beta.1
    versionCode: 67
    commit: v2.8.0-beta.1
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
    ndk: r21d

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 2.8.0-beta.1
CurrentVersionCode: 67
